# PSF-LoginServer - master - net.psforever.objects.definition.VehicleDefinition
PSF - LoginServer - master - net.psforever.objects.definition.VehicleDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.VehicleDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

o

net.psforever.objects.definition

# VehicleDefinition 

###
Companion class VehicleDefinition

#### object VehicleDefinition

Source
  VehicleDefinition.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleDefinition
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class AmsDefinition extends VehicleDefinition
   Attributes
     protected
2.  class AntDefinition extends VehicleDefinition
   Attributes
     protected
3.  class ApcDefinition extends VehicleDefinition
   Attributes
     protected
4.  class CarrierDefinition extends VehicleDefinition
   Attributes
     protected
5.  class DeployingDefinition extends VehicleDefinition
   Attributes
     protected
6.  class RouterDefinition extends VehicleDefinition
   Attributes
     protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Ams(objectId: Int): VehicleDefinition

   Vehicle definition for the advanced mobile spawn (AMS) vehicle.

   Vehicle definition for the advanced mobile spawn (AMS) vehicle.

   objectId

     the object id that is associated with this sort of `Vehicle`

5.  def Ant(objectId: Int): VehicleDefinition

   Vehicle definition for the advanced nanite transport (ANT) vehicle.

   Vehicle definition for the advanced nanite transport (ANT) vehicle.

   objectId

     the object id that is associated with this sort of `Vehicle`

6.  def Apc(objectId: Int): VehicleDefinition

   Vehicle definition(s) for the armored personnel carrier (`apc*`) vehicles.

   Vehicle definition(s) for the armored personnel carrier (`apc*`) vehicles.

   objectId

     the object id that is associated with this sort of `Vehicle`

7.  def Carrier(objectId: Int): VehicleDefinition

   Vehicle definition(s) for the vehicles (carriers) that are used to transport other vehicles (cargo).

   Vehicle definition(s) for the vehicles (carriers) that are used to transport other vehicles (cargo).

   objectId

     the object id that is associated with this sort of `Vehicle`

8.  def Deploying(objectId: Int): VehicleDefinition

   Vehicle definition(s) for the vehicles that perform significant mode state transitions.

   Vehicle definition(s) for the vehicles that perform significant mode state transitions.

   objectId

     the object id that is associated with this sort of `Vehicle`

9.  def Router(objectId: Int): VehicleDefinition

   Vehicle definition for the Router.

   Vehicle definition for the Router.

   objectId

     the object id that is associated with this sort of `Vehicle`

10.  def apply(objectId: Int): VehicleDefinition
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped